dht::NodeInfo Struct Reference
Collaboration diagram for dht::NodeInfo:
[legend]

## Public Attributes

InfoHash | id
InfoHash | node_id
NodeStats | ipv4
NodeStats | ipv6

## Detailed Description

Definition at line 68 of file callbacks.h.

## Member Data Documentation

## id

InfoHash dht::NodeInfo::id

Definition at line 69 of file callbacks.h.

## ipv4

NodeStats dht::NodeInfo::ipv4

Definition at line 71 of file callbacks.h.

## ipv6

NodeStats dht::NodeInfo::ipv6

Definition at line 72 of file callbacks.h.

## node_id

InfoHash dht::NodeInfo::node_id

Definition at line 70 of file callbacks.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/callbacks.h